import { requestClient } from '#/api/request';

// 查询流程模型信息
export function listModel(query) {
  return requestClient.get('/model/list', { params: query });
}

// 查询历史流程模型信息
export function historyModel(query) {
  return requestClient.get('/model/historyList', { params: query });
}

export function getModel(modelId) {
  return requestClient.get(`/model/${modelId}`);
}

// 新增模型信息
export function addModel(data) {
  return requestClient.post('/model', { data });
}

// 修改模型信息
export function updateModel(data) {
  return requestClient.put('/model', { data });
}

// 保存流程模型
export function saveModel(data) {
  return requestClient.post('/model/save', { data });
}

export function latestModel(params) {
  return requestClient.post('/model/latest', { params });
}

export function delModel(modelIds) {
  return requestClient.delete(`/model/${modelIds}`);
}

export function deployModel(params) {
  return requestClient.post('/model/deploy', { params });
}

// 获取流程模型流程图
export function getBpmnXml(modelId) {
  return requestClient.get(`/model/bpmnXml/${modelId}`);
}
